Skip to content

Extra cost ​

INFO

Каждый ответ приходит в общем конверте — code, message, messages, status_code, time — а полезная нагрузка лежит в data. Таблицы ниже описывают содержимое data.

POST /extra-cost/create ​

This method allows adding extra-cost into the account.

Тело запроса

ПолеТипОбязательноОписание
namestringДа
is_affect_pricebooleanДаПо умолчанию: false
distribution_methodstringДаДопустимые значения: byPrice, byAmount, byGrossWeight, byVolume, manual. По умолчанию: "byPrice"
recommended_amountnumberДаПо умолчанию: 0
max_amountnumberДаПо умолчанию: 0
currency_idstringДа
payment_type_idstringДа
user_typestringНетДопустимые значения: supplier, employee, customer, person, other. По умолчанию: "supplier"
customer_idstringНет
supplier_idstringНет
employee_idstringНет
person_idstringНет
statusstringДаДопустимые значения: active, inactive. По умолчанию: "active"
notestringНет
json
{
  "name": "string",
  "is_affect_price": false,
  "distribution_method": "byPrice",
  "recommended_amount": 0,
  "max_amount": 0,
  "currency_id": "646b0c2f3d4e1a001f8b4567",
  "payment_type_id": "646b0c2f3d4e1a001f8b4567",
  "user_type": "supplier",
  "customer_id": "646b0c2f3d4e1a001f8b4567",
  "supplier_id": "646b0c2f3d4e1a001f8b4567",
  "employee_id": "646b0c2f3d4e1a001f8b4567",
  "person_id": "646b0c2f3d4e1a001f8b4567",
  "status": "active",
  "note": "string"
}

Ответ

ПолеТипОписание
namestring
is_affect_priceboolean
distribution_methodstring
amountnumber
should_create_transactionboolean
recommended_amountnumber
max_amountnumber
notestring
statusstringДопустимые значения: active, inactive
payment_typeobject
payment_type._idstring
payment_type.namestring
payment_type.user_typestring
currency_idstring
currencyobject
currency._idstring
currency.namestring
updated_by_userobject
updated_by_user._idstring
updated_by_user.full_namestring
created_by_userobject
created_by_user._idstring
created_by_user.full_namestring
employeeobject
employee._idstring
employee.full_namestring
customerobject
customer._idstring
customer.namestring
supplierobject
supplier._idstring
supplier.namestring
personobject
person._idstring
person.namestring
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "name": "string",
    "is_affect_price": false,
    "distribution_method": "string",
    "amount": 0,
    "should_create_transaction": false,
    "recommended_amount": 0,
    "max_amount": 0,
    "note": "string",
    "status": "active",
    "payment_type": {
      "_id": "string",
      "name": "string",
      "user_type": "string"
    },
    "currency_id": "string",
    "currency": {
      "_id": "string",
      "name": "string"
    },
    "updated_by_user": {
      "_id": "string",
      "full_name": "string"
    },
    "created_by_user": {
      "_id": "string",
      "full_name": "string"
    },
    "employee": {
      "_id": "string",
      "full_name": "string"
    },
    "customer": {
      "_id": "string",
      "name": "string"
    },
    "supplier": {
      "_id": "string",
      "name": "string"
    },
    "person": {
      "_id": "string",
      "name": "string"
    }
  },
  "time": "2025-05-01T12:00:00Z"
}

PUT /extra-cost/update ​

This method allows updating extra-cost in the account.

Тело запроса

ПолеТипОбязательноОписание
_idstringДа
namestringДа
is_affect_pricebooleanДаПо умолчанию: false
distribution_methodstringДаДопустимые значения: byPrice, byAmount, byGrossWeight, byVolume, manual. По умолчанию: "byPrice"
recommended_amountnumberДаПо умолчанию: 0
max_amountnumberДаПо умолчанию: 0
currency_idstringДа
payment_type_idstringДа
user_typestringНетДопустимые значения: supplier, employee, customer, person, other. По умолчанию: "supplier"
customer_idstringНет
supplier_idstringНет
employee_idstringНет
person_idstringНет
statusstringДаДопустимые значения: active, inactive. По умолчанию: "active"
notestringНет
json
{
  "_id": "646b0c2f3d4e1a001f8b4567",
  "name": "string",
  "is_affect_price": false,
  "distribution_method": "byPrice",
  "recommended_amount": 0,
  "max_amount": 0,
  "currency_id": "646b0c2f3d4e1a001f8b4567",
  "payment_type_id": "646b0c2f3d4e1a001f8b4567",
  "user_type": "supplier",
  "customer_id": "646b0c2f3d4e1a001f8b4567",
  "supplier_id": "646b0c2f3d4e1a001f8b4567",
  "employee_id": "646b0c2f3d4e1a001f8b4567",
  "person_id": "646b0c2f3d4e1a001f8b4567",
  "status": "active",
  "note": "string"
}

Ответ

Структура ответа совпадает с POST /extra-cost/create.

DELETE /extra-cost/delete/{id} ​

Delete a extra-cost

Параметры пути

ПараметрТипОбязательноОписание
idstringДа

Тело запроса

Тело запроса не требуется.

Ответ

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": "ok",
  "time": "2025-05-01T12:00:00Z"
}

GET /extra-cost/get-all ​

Get all extra-costs

Параметры запроса

ПараметрТипОбязательноОписание
statusstringНетДопустимые значения: active, inactive
distribution_method_nestringНетДопустимые значения: byPrice, byAmount, byGrossWeight, byVolume, manual

Тело запроса

Тело запроса не требуется.

Ответ

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    {
      "name": "string",
      "is_affect_price": false,
      "distribution_method": "string",
      "amount": 0,
      "should_create_transaction": false,
      "recommended_amount": 0,
      "max_amount": 0,
      "note": "string",
      "status": "active",
      "payment_type": {
        "_id": "string",
        "name": "string",
        "user_type": "string"
      },
      "currency_id": "string",
      "currency": {
        "_id": "string",
        "name": "string"
      },
      "updated_by_user": {
        "_id": "string",
        "full_name": "string"
      },
      "created_by_user": {
        "_id": "string",
        "full_name": "string"
      },
      "employee": {
        "_id": "string",
        "full_name": "string"
      },
      "customer": {
        "_id": "string",
        "name": "string"
      },
      "supplier": {
        "_id": "string",
        "name": "string"
      },
      "person": {
        "_id": "string",
        "name": "string"
      }
    }
  ],
  "time": "2025-05-01T12:00:00Z"
}

GET /extra-cost/get-by-id/{id} ​

Get extra-cost using its _id

Параметры пути

ПараметрТипОбязательноОписание
idstringДа

Тело запроса

Тело запроса не требуется.

Ответ

Структура ответа совпадает с POST /extra-cost/create.

GET /extra-cost/get-deleted ​

Get deleted extra-cost ids

Параметры запроса

ПараметрТипОбязательноОписание
deleted_atstringДа

Тело запроса

Тело запроса не требуется.

Ответ

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    "string"
  ],
  "time": "2025-05-01T12:00:00Z"
}

POST /extra-cost/get-paging ​

Get extra-cost by paging

Тело запроса

ПолеТипОбязательноОписание
pagenumberДаПо умолчанию: 1
limitnumberДаПо умолчанию: 20
searchstringНет
distribution_method_nestringНетДопустимые значения: byPrice, byAmount, byGrossWeight, byVolume, manual. По умолчанию: "byPrice"
statusstringНетДопустимые значения: active, inactive
json
{
  "page": 1,
  "limit": 20,
  "search": "string",
  "distribution_method_ne": "byPrice",
  "status": "active"
}

Ответ

ПолеТипОписание
codenumbersystem code of response. По умолчанию: 0
messagestring
status_codenumberstatus code of response. По умолчанию: 200
messagesobject
messages.uzstring
messages.rustring
messages.enstring
timestring (date-time)time of response
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "code": 0,
    "message": "Success",
    "status_code": 200,
    "messages": {
      "uz": "Muvaffaqiyatli",
      "ru": "Успешно",
      "en": "Successful"
    },
    "time": "2025-05-01T12:00:00Z"
  },
  "time": "2025-05-01T12:00:00Z"
}

Эта страница сгенерирована из спецификации OpenAPI.

Bito 2.0 Integration API